# TEXTURE_UL_texslots(UIList)

base classes — `bpy_struct`, `UIList`

class `bpy.types.``TEXTURE_UL_texslots`(UIList)
  `draw_item`(context, layout, data, item, icon, active_data, active_propname, index)

Inherited Properties

`bpy_struct.id_data` `UIList.bl_idname` `UIList.layout_type` `UIList.use_filter_show` `UIList.filter_name` | `UIList.use_filter_invert` `UIList.use_filter_sort_alpha` `UIList.use_filter_sort_reverse` `UIList.bitflag_filter_item`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` | `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `UIList.draw_item` `UIList.draw_filter` `UIList.filter_items` `UIList.append` `UIList.prepend` `UIList.remove`